
<%
/**********************************************************************************
	프로그램명		: dept_view.jsp
	프로그램설명	:
	작 성 자			: 기현테크
	작 성 일			: 2010.11.28
	최신변경일		:
***********************************************************************************/
%>
<%@ page contentType="text/html; charset=UTF-8"%>
<%@ page import="kr.co.kihyun.beans.user.HttpSSOLogin"%>
<%@ page import="kr.co.kihyun.text.html.ServletUtil"%>
<%@ page import="kr.co.kihyun.lang.Encoder"%>
<%@ page import="kr.co.kihyun.moumi.Moumi"%>
<%@ page import="kr.co.kihyun.lang.MString"%>
<%@ page import="kr.co.kihyun.beans.user.User"%>
<%@ page import="kr.co.kihyun.beans.entity.MDept"%>
<%@ page import="java.net.URLEncoder"%>

<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>

<%
	try{
		request.setCharacterEncoding("UTF-8");
        /***** user Login check *****************/
		if(!HttpSSOLogin.isLogin(request)){
			String connURL="parent.location='/totsys/login/login.jsp';";
			out.println(ServletUtil.getJavaScript(connURL));
			return;
		}
%>

<HTML>
<HEAD>
<TITLE><%=Moumi.getTitle()%></TITLE>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<link rel="stylesheet" href="/totsys/common/css/text.css"
	type="text/css">
<link rel="stylesheet" href="/totsys/common/css/kecttep.css"
	type="text/css">
<link rel="stylesheet" href="/totsys/common/css/SquareButtons.css"
	type="text/css">
<style>
td {
	padding: 2 3 2 3;
}
</style>
<script src="/totsys/common/js/rollover.js"></script>
<script src="/totsys/common/js/org_search.js"></script>
<script language="javascript">
			var orgSearch = new OrgSearch(onNodeCallback);
			var focusedButton = null;

			function ProcKeyDown() {
				keyPressed = String.fromCharCode(window.event.keyCode);
				if ((keyPressed == '\r') || (keyPressed == '\n')){
					if(focusedButton == null) {
						document.getElementById('nextButton').focus();
					}
				}
			}

			function previous() {
				try {
					orgSearch.previous(document.searchForm.keyword.value);
				} catch (e) {
					alert(e);
					return;
				}
			}

			function next() {
				try {
					orgSearch.next(document.searchForm.keyword.value);
				} catch (e) {
					alert(e);
					return;
				}
			}

			function onNodeCallback(node) {
				for(i = 0; i < node.pathList.length; i++)
					document.leftFrame.openF(node.pathList[i]);
				document.leftFrame.selectItem(node.id, node.type);
				document.detailFrame.location.href =
					'/totsys/sysadm/'+node.type+'/'+node.type+'_view.jsp?'+node.type+'ID='+node.id;
			}
		</script>
</HEAD>

<body style="overflow: auto;" BGCOLOR="#FFFFFF" LEFTMARGIN="0"
	TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr class="toolbar">
		<td align="left">
		<form name="searchForm" onsubmit="javascript: return false;">
		<table border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td style="font-size: 12px; font-family: 돋움, serif;"><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.search")%>:</td>
				<td><input name="keyword" size="20" class="inputtxt"
					onkeydown="ProcKeyDown();" /></td>
				<td><a id="previousButton" class="simplebutton" href="#"
					onclick="previous();"
					onfocus="focusedButton = document.getElementById('previousButton');"
					onblur="focusedButton = null;"><span class="previous"><%=Moumi.getMessageBundle().getString("moumi.message.button_small.previous")%></span></a></td>
				<td><a id="nextButton" class="simplebutton" href="#"
					onclick="next();"
					onfocus="focusedButton = document.getElementById('nextButton');"
					onblur="focusedButton = null;"><span class="next"><%=Moumi.getMessageBundle().getString("moumi.message.button_small.next")%></span></a></td>
			</tr>
		</table>
		</form>
		</td>
	</tr>
</table>
</BODY>
</HTML>
<%
	}catch(Exception ex){
                //38.오류메세지를 통한 정보 노출(getMessage)_CWE-209 : Update by YOUNGJUN,CHO
		ex.printStackTrace();
		//out.println(ex);
		//out.println("<html><body style='overflow=auto' bgcolor='white'><h1>Can't contact servlet runner</h1><br><br> Message : "+ex.getMessage()+"</body></html>");
		//out.println("<META HTTP-EQUIV='refresh' CONTENT='0.1 URL=/error/exception.jsp'>");
                //================================================
	}finally{
	}
%>
